Subject: Re: linux-next: Tree for August 14 (sysfs/acpi errors)

From: Greg KH <[email-masked]>
Date: Sun, 17 Aug 2008 20:48:51 -0700

On Sun, Aug 17, 2008 at 05:53:07AM +0200, Andi Kleen wrote:
> Greg KH <[email-masked]> writes:
> >> No!
> >
> > What you are doing here is wrong, trying to create two files with the
> > same name.  You just should not be doing that at all, it's that simple.
> > Fix the broken code/link order, don't paper it over in the sysfs layer.
> 
> Sorry, but relying on link order for anything is a mistake. It is subtle
> and fragile and just means it'll eventually break again because it's
> near impossible to properly maintain.

We rely on link order for all sorts of things, this isn't new at all.

thanks,

greg k-h